Issue an API key
curl --request POST \
--url https://api.ando.so/v1/api-keys \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "release-operator-production",
"scopes": [
"messages:read",
"webhooks:read"
],
"subject": {
"display_name": "Release operator",
"kind": "new_agent",
"role_name": "Release automation"
}
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'release-operator-production',
scopes: ['messages:read', 'webhooks:read'],
subject: {
display_name: 'Release operator',
kind: 'new_agent',
role_name: 'Release automation'
}
})
};
fetch('https://api.ando.so/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/api-keys"
payload = {
"name": "release-operator-production",
"scopes": ["messages:read", "webhooks:read"],
"subject": {
"display_name": "Release operator",
"kind": "new_agent",
"role_name": "Release automation"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"key": {
"id": "key_01jzn7e61x3a7v9h2r7t2m3q4p",
"key_prefix": "example-key-prefix",
"name": "release-operator-production",
"scopes": [
"messages:read",
"webhooks:read"
],
"status": "active",
"subject": {
"display_name": "Release operator",
"principal_type": "agent",
"workspace_membership_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
}
},
"secret": "example-key-secret-store-immediately"
}
}Issue an API key
Issues an exact-scope credential for an existing workspace member or a new named agent. Requires api_keys:write, a live admin/owner membership, and an Idempotency-Key. The encrypted secret response is replayable for 24 hours; after that it cannot be recovered. Credential-management scopes cannot be delegated.
POST
https://api.ando.so/v1
/
api-keys
Issue an API key
curl --request POST \
--url https://api.ando.so/v1/api-keys \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "release-operator-production",
"scopes": [
"messages:read",
"webhooks:read"
],
"subject": {
"display_name": "Release operator",
"kind": "new_agent",
"role_name": "Release automation"
}
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'release-operator-production',
scopes: ['messages:read', 'webhooks:read'],
subject: {
display_name: 'Release operator',
kind: 'new_agent',
role_name: 'Release automation'
}
})
};
fetch('https://api.ando.so/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/api-keys"
payload = {
"name": "release-operator-production",
"scopes": ["messages:read", "webhooks:read"],
"subject": {
"display_name": "Release operator",
"kind": "new_agent",
"role_name": "Release automation"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"key": {
"id": "key_01jzn7e61x3a7v9h2r7t2m3q4p",
"key_prefix": "example-key-prefix",
"name": "release-operator-production",
"scopes": [
"messages:read",
"webhooks:read"
],
"status": "active",
"subject": {
"display_name": "Release operator",
"principal_type": "agent",
"workspace_membership_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
}
},
"secret": "example-key-secret-store-immediately"
}
}Authorizations
AndoApiKeyBearerApiKey
Headers
Body
application/json
Issues an exact-scope credential for a new named agent or an existing workspace member. api_keys administration scopes cannot be delegated.
Exact non-administrative scopes to grant.
Available options:
calls:read, conversations:create, conversation_memberships:write, files:read, files:write, profile:write, context:self-introduction, inbox:read, inbox:write, connections:read, connections:write, connections:execute, miniapps:read, miniapps:write, documents:read, documents:write, automations:read, automations:write, members:invite, tasks:read, tasks:contribute, tasks:coordinate, tasks:complete, agents:read, agents:write, messages:read, messages:write, realtime:read, webhooks:read, webhooks:write